Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## calhoun.util
Class AbstractTestCase

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              calhoun.util.AbstractTestCase

All Implemented Interfaces:
  junit.framework.Test

Direct Known Subclasses:
  BasicStatsTest, CacheProcessorTest, CacheProcessorTestRealShort, CacheTest, ConstraintTest, CRFIOTest, CRFTest, FeatureTest, FileInputHandlerTest, FunctionEvalTest, GammaDistributionsTest, GapConjunctionFeaturesTest, GeneConstraintsInterval13Test, GTFWriterTest, Interval13BaselineTest, Interval29BaselineTest, KmerHasherTest, LBFGSTest, LogprobLookupTest, MatrixOperationsTest, MaxentMotifModelTest, MaximumExpectedAccuracyTest, MultipleSequenceTest, NewickTreeManipulationTest, NonGradientTest, PredictedActualBinaryContingencyTableTest, RangeMapExamples, RealIOTest, RecyclingBufferTest, ReferenceBasePredictorTest, RepeatedSubsequenceTest, SemiMarkovTest, SequenceConverterTest, SlowTestMaxentMotifModel, ValidPathsTest

    public abstract class AbstractTestCase

extends junit.framework.TestCase

Basic test case with file matching (XML and regular) added as well as improved logging for errors.

Constructor Summary
`AbstractTestCase()`
`AbstractTestCase(java.lang.String arg0)`

Method Summary
`void` | `assertArrayEquals(byte[] a, byte[] b)`
`void` | `assertArrayEquals(double[] a, double[] b)`
`void` | `assertArrayEquals(double[] a, double[] b, double tolerance)`
`void` | `assertArrayEquals(int[] a, int[] b)`
`void` | `assertBeginsWith(byte[] a, byte[] b)`
`void` | `assertEndsWith(byte[] a, byte[] b)`
`void` | `assertEquals(byte[] a, byte[] b)`
`void` | `assertFilesMatch(java.lang.String expected, java.lang.String actual)`
`void` | `assertFlatFileRecordsMatch(java.lang.String expected, java.lang.String actual)`
`void` | `assertStringEquals(java.lang.String[] expected, java.util.List l)`
`void` | `assertStringEquals(java.lang.String[] expected, java.lang.String[] strings)`
`void` | `assertXmlFilesMatch(java.lang.String template, java.lang.String actual)`
`void` | `runBare()` Overrides the default runTest to provide error logging.

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractTestCase

    public AbstractTestCase()

### AbstractTestCase

    public AbstractTestCase(java.lang.String arg0)

Method Detail

### runBare

    public void runBare()
                 throws java.lang.Throwable

  Overrides the default runTest to provide error logging. Using this runBare logs setUp and tearDown errors.

  Overrides:
    `runBare` in class `junit.framework.TestCase`
  Throws:
    `java.lang.Throwable`

### assertXmlFilesMatch

    public void assertXmlFilesMatch(java.lang.String template,
                                    java.lang.String actual)
                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### assertArrayEquals

    public void assertArrayEquals(byte[] a,
                                  byte[] b)

### assertArrayEquals

    public void assertArrayEquals(double[] a,
                                  double[] b)

### assertArrayEquals

    public void assertArrayEquals(double[] a,
                                  double[] b,
                                  double tolerance)

### assertArrayEquals

    public void assertArrayEquals(int[] a,
                                  int[] b)

### assertBeginsWith

    public void assertBeginsWith(byte[] a,
                                 byte[] b)

### assertEndsWith

    public void assertEndsWith(byte[] a,
                               byte[] b)

### assertEquals

    public void assertEquals(byte[] a,
                             byte[] b)

### assertStringEquals

    public void assertStringEquals(java.lang.String[] expected,
                                   java.util.List l)

### assertStringEquals

    public void assertStringEquals(java.lang.String[] expected,
                                   java.lang.String[] strings)

### assertFilesMatch

    public void assertFilesMatch(java.lang.String expected,
                                 java.lang.String actual)
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### assertFlatFileRecordsMatch

    public void assertFlatFileRecordsMatch(java.lang.String expected,
                                           java.lang.String actual)
                                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD